;
/+
/
/ Usage
/
/	toupper(c);
/	int c;
/
/ Description
/
/	If c is a lower-case alphabetic, return it's upper-case
/	equivalent.  Otherwise, return c.
/
/ Bugs
/
/-
/
	.globl toupper

toupper:
	mov	2(sp),r0
	cmp	r0,$'a
	blo	0f
	cmp	r0,$'z
	bhi	0f
	bic	$040,r0
0:
	return
